#pragma once
#include <map>
struct M_ActivityDoubleElevenDiamondGiftData
{
	//ID
	int mID;
	//刷新时间
	int mFlushTime;
	//礼包1刷新数量
	int mGift1Count;
	//礼包2刷新数量
	int mGift2Count;
	//礼包3刷新数量
	int mGift3Count;
	//礼包ID
	int mGiftId;
};

class M_ActivityDoubleElevenDiamondGift
{
public:
private:
	static std::auto_ptr<M_ActivityDoubleElevenDiamondGift> msSingleton;
public:
	int GetCount();
	const M_ActivityDoubleElevenDiamondGiftData* GetData(int ID);
	const std::map<int, M_ActivityDoubleElevenDiamondGiftData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityDoubleElevenDiamondGift* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityDoubleElevenDiamondGiftData> mMapData;
};
